Bug 480891 - [kde] ibus systray icon is not updated like toolbar
[kde] ibus systray icon is not updated like toolbar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
fedora i18n bugs
: i18n
Depends On:
Blocks: F11Blocker/F11FinalBlocker 481098
  Show dependency treegraph
 
Reported: 2009-01-21 01:20 EST by A S Alam
Modified: 2013-07-02 20:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 00:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
two icon on desktop (147.27 KB, image/png)
2009-01-21 01:55 EST, A S Alam
no flags Details
only one working with application (289.20 KB, image/png)
2009-01-21 01:56 EST, A S Alam
no flags Details

  None (edit)
Description A S Alam 2009-01-21 01:20:11 EST
Description of problem:
using Fresh kde4 session, I have two ibus icons on my desktop and one ibus icon was out of tray.

Version-Release number of selected component (if applicable):
ibus-0.1.1.20081023-3.fc11.i386

How reproducible:
Everytime during login

Steps to Reproduce:
1. run kde session (fresh if you can by remove ~/.kde/)
2. 
3.
  
Actual results:
2 icons are there and only one dock in system tray

Expected results:
1) Should it not be only 1 icon per session?

Additional info:
1) I have 1 X session running on my mission

2)ps -auxx|grep ibus
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
aalam     3649  0.0  0.6  11200  6628 ?        S    11:34   0:00 python /usr/bin/ibus
aalam     3708  0.0  0.7  12468  7944 ?        S    11:34   0:00 python /usr/share/ibus/daemon/ibusdaemon.py
aalam     3711  0.0  0.7  12224  7500 ?        S    11:35   0:00 python /usr/share/ibus/gconf/main.py
aalam     3712  0.2  2.4  73312 24956 ?        S    11:35   0:02 python /usr/share/ibus/ui/gtk/main.py
aalam     3713  0.0  0.4  15772  4056 ?        S    11:35   0:00 /usr/bin/ibus-x11 --kill-daemon
aalam     3739  0.0  0.7  12592  7812 ?        S    11:35   0:00 python /usr/share/ibus-m17n/engine/main.py pa:jhelum
root      4192  0.0  0.0   4484   716 pts/2    S+   11:47   0:00 grep ibus

3) 
kdebase-4.1.96-1.fc11.i386
Comment 1 A S Alam 2009-01-21 01:55:33 EST
Created attachment 329554 [details]
two icon on desktop
Comment 2 A S Alam 2009-01-21 01:56:18 EST
Created attachment 329555 [details]
only one working with application
Comment 3 Jens Petersen 2009-01-21 04:49:10 EST
There is one icon in the panel tray and one part of the ibus toolbar.

However both should show same status: reproduced comment 2.
Comment 4 Peng Huang 2009-02-10 00:53:10 EST
This problem has been fixed in ibus-1.1.0.20090205-1

Note You need to log in before you can comment on or make changes to this bug.